Subject: Re: [TR] carburetors

From: Frank Magnusson <[email-masked]>
Date: Tue, 3 Oct 2023 16:27:33 -0500

Some of your mechanics conclusions seem a bit dubeous.  I would get a second opinion.  It may not be your carbs.
Did you do a compression check?  White smoke typically is antifreeze; i.e head gasket.  
Strombrrg carbs are generally bullet proof and very simple.  I’ve had many carbs on many Triumphs over the years and never had any issues for the most part.  Even carbs that had been sitting for 20-30 years, no overhaul and they worked.  The only issue I had recently on one was a burr on the one of the pistons that caused it to hang up.  Check the checkvalves in the float bowls; they tend to stick.  I had one stuck open, another stuck closed along with the burr on one piston and the only symptom was power loss.

Frank
‘72 Stag, TR6,  GT6, Spit

Sent from my iPad
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]